Update a template
Updates template metadata. Source changes use the project workspace API. Use this endpoint to update a template through the Samva email API.
Updates template metadata. Source changes use the project workspace API.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
data*
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/templates/string" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{ "id": "string", "organizationId": "string", "projectId": "string", "entryPath": "string", "name": "string", "slug": "string", "familyId": "string", "channel": "email", "description": "string", "category": "string", "fromDefault": { "email": "string", "name": "string" }, "replyToDefault": [ "string" ], "trackingDefault": { "opens": true, "clicks": true }, "email": { "subject": "string", "preheader": "string", "headers": { "property1": "string", "property2": "string" } }, "publicationId": "string", "inputContractId": "string", "inputSchema": {}, "compliance": { "metaStatus": "string", "submittedAt": "string", "qualityScore": "string", "rejectedReason": "string", "lastSyncedAt": "string", "approvalStatus": "draft", "approvedBy": "string", "approvedAt": "string", "approvalNotes": "string", "regulatoryRequirements": [ { "region": "string", "requirement": "string", "status": "compliant", "notes": "string" } ] }, "usageCount": 0, "lastUsedAt": "string", "status": "string", "isActive": true, "isDefault": true, "publishedAt": "string", "publishedBy": "string", "createdAt": "string", "updatedAt": "string"}Related documentation
Save a template project workspace
Validates the effective project tree and creates one normal Git commit on the Artifact default branch.
List template project commit history
Returns bounded history from the Artifact repository default branch. Use this endpoint to list template project commit history through the Samva email API.